Mailinglist Archive: opensuse-bugs (5243 mails)

< Previous Next >
[Bug 807823] When boot from a USB Live in a UEFI environment, YaST try to install GRUB2 instead of GRUB2-EFI

https://bugzilla.novell.com/show_bug.cgi?id=807823

https://bugzilla.novell.com/show_bug.cgi?id=807823#c6


Raymund Will <rw@xxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
CC| |rw@xxxxxxxx

--- Comment #6 from Raymund Will <rw@xxxxxxxx> 2013-03-06 17:33:28 UTC ---
Oh bother -- the real bug is, that you need to differentiate between
'GRUB2' and 'GRUB2-EFI' at all! There's absolutely no need for that,
or is it?

YaST2 needs to select sub-packages ('grub2-i386-pc' for legacy and/or
'grub2-x86_64-efi' for UEFI, plus 'shim' for Secure Boot) just based
on the environment it's running in, warning users if they'd deselect
a necessary package. After that, 'grub2-install' is well equipped to
automatically do "The Right Thing"(TM)!

Alas, that's probably too late for 12.3, but while you're at it,
Steffen: can you double check, that YaST2 detects "SecureBoot" properly?
(IIRC it didn't on the brief "smoke-test" I made -- it had to be
check-marked manually...)

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
References